[Python-modules-team] Bug#696074: python-cxx-dev: directory vs. symlink mess after squeeze => wheezy upgrade: /usr/share/doc/python-cxx-dev

Ivo De Decker ivo.dedecker at ugent.be
Sat Dec 22 11:50:09 UTC 2012


Control: tags -1 patch

Hi,

On Sun, Dec 16, 2012 at 03:25:03PM +0100, Andreas Beckmann wrote:
> Looks like /usr/share/doc/python-cxx-dev was a symlink in squeeze and is a
> directory in wheezy. Note that dpkg intentionally does not replace
> directories with symlinks and vice versa.
> 
> python-cxx-dev.preinst should probably do something like
> 
>     test ! -L /usr/share/doc/python-cxx-dev || rm /usr/share/doc/python-cxx-dev
> 
> Please clean this up in wheezy.

Based on the hint from Andreas, I created a patch to fix this bug. I tested
the new version with piuparts, and the problem is gone.

Cheers,

Ivo

-------------- next part --------------
diff -Nru pycxx-6.2.4/debian/changelog pycxx-6.2.4/debian/changelog
--- pycxx-6.2.4/debian/changelog	2012-03-19 03:03:15.000000000 +0100
+++ pycxx-6.2.4/debian/changelog	2012-12-22 12:44:54.000000000 +0100
@@ -1,3 +1,11 @@
+pycxx (6.2.4-1.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Remove symlink /usr/share/doc/python-cxx-dev before installing 
+    (Closes: #696074). Thanks to Andreas Beckmann for the report.
+
+ -- Ivo De Decker <ivo.dedecker at ugent.be>  Sat, 22 Dec 2012 12:44:12 +0100
+
 pycxx (6.2.4-1) unstable; urgency=low
 
   * New upstream release
diff -Nru pycxx-6.2.4/debian/python-cxx-dev.preinst pycxx-6.2.4/debian/python-cxx-dev.preinst
--- pycxx-6.2.4/debian/python-cxx-dev.preinst	1970-01-01 01:00:00.000000000 +0100
+++ pycxx-6.2.4/debian/python-cxx-dev.preinst	2012-12-22 12:31:33.000000000 +0100
@@ -0,0 +1,21 @@
+#! /bin/sh
+
+set -e
+
+case "$1" in
+    install|upgrade)
+        test ! -L /usr/share/doc/python-cxx-dev || rm /usr/share/doc/python-cxx-dev
+    ;;
+
+    abort-upgrade)
+    ;;
+
+    *)
+        echo "preinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+
+#DEBHELPER#
+


More information about the Python-modules-team mailing list